Index: src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java
===================================================================
--- src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java	(revision 2978)
+++ src/uk/me/parabola/mkgmap/reader/osm/MultiPolygonRelation.java	(working copy)
@@ -124,8 +124,12 @@
 			if (log.isDebugEnabled()) {
 				log.debug(" ", role, el.toBrowseURL(), el.toTagString());
 			}
-			addElement(role, el);
-			roleMap.put(el.getId(), role);
+			if (roleMap.containsKey(el.getId()) )
+				log.warn("repeated member with id ", el.getId(), "in multipolygon relation",this.getId(),"is ignored");
+			else {
+				addElement(role, el);
+				roleMap.put(el.getId(), role);
+			}
 		}
 	}
 	
